home
***
CD-ROM
|
disk
|
FTP
|
other
***
search
/
Gold Fish 2
/
goldfish_vol2_cd2.bin
/
bbs
/
gnu
/
doschk-1.1-diffs.lha
/
GNU
/
src
/
diffs
/
doschk-1.1.diffs
Wrap
Text File
|
1994-11-19
|
29KB
|
834 lines
diff -rc --new-file doschk-1.1/Makefile.in /gnu/src/amiga/doschk-1.1/Makefile.in
*** doschk-1.1/Makefile.in Fri May 21 19:14:09 1993
--- /gnu/src/amiga/doschk-1.1/Makefile.in Wed Feb 23 15:39:05 1994
***************
*** 29,38 ****
DEFS = @DEFS@
LIBS = @LIBS@
! CFLAGS = -g
! LDFLAGS = -g
! prefix = /usr/local
exec_prefix = $(prefix)
bindir = $(exec_prefix)/bin
--- 29,38 ----
DEFS = @DEFS@
LIBS = @LIBS@
! CFLAGS = -O2
! LDFLAGS =
! prefix = /gnu
exec_prefix = $(prefix)
bindir = $(exec_prefix)/bin
diff -rc --new-file doschk-1.1/Product-Info /gnu/src/amiga/doschk-1.1/Product-Info
*** doschk-1.1/Product-Info Thu Jan 1 00:00:00 1970
--- /gnu/src/amiga/doschk-1.1/Product-Info Mon Jul 11 23:24:20 1994
***************
*** 0 ****
--- 1,25 ----
+ .name
+ doschk
+ .fullname
+ Check DOS/SYSV filenames
+ .type
+ Miscellaneous
+ .short
+ Check DOS/SYSV filename limits.
+ .description
+ This program is intended as a utility to help software developers
+ ensure that their source file names are distinguishable on MS-DOS and
+ 14-character SYSV platforms. To perform this task, doschk reads a
+ list of filenames and produces a report of all the conflicts that
+ would arise if the files were transferred to a MS-DOS or SYSV
+ platform.
+ .version
+ 1.1
+ .author
+ DJ Delorie
+ .requirements
+ Amiga binary requires ixemul.library.
+ .distribution
+ GNU Public License
+ .described-by
+ Fred Fish (fnf@amigalib.com)
diff -rc --new-file doschk-1.1/configure /gnu/src/amiga/doschk-1.1/configure
*** doschk-1.1/configure Fri May 21 19:21:28 1993
--- /gnu/src/amiga/doschk-1.1/configure Mon Apr 25 11:38:39 1994
***************
*** 1,135 ****
#!/bin/sh
# Guess values for system-dependent variables and create Makefiles.
! # Generated automatically using autoconf.
! # Copyright (C) 1991, 1992, 1993 Free Software Foundation, Inc.
! # This program is free software; you can redistribute it and/or modify
! # it under the terms of the GNU General Public License as published by
! # the Free Software Foundation; either version 2, or (at your option)
# any later version.
! # This program is distributed in the hope that it will be useful,
! # but WITHOUT ANY WARRANTY; without even the implied warranty of
! # MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
! # GNU General Public License for more details.
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
! # Usage: configure [--srcdir=DIR] [--host=HOST] [--gas] [--nfp] [--no-create]
! # [--prefix=PREFIX] [--exec-prefix=PREFIX] [--with-PACKAGE] [TARGET]
! # Ignores all args except --srcdir, --prefix, --exec-prefix, --no-create, and
! # --with-PACKAGE unless this script has special code to handle it.
! for arg
do
- # Handle --exec-prefix with a space before the argument.
- if test x$next_exec_prefix = xyes; then exec_prefix=$arg; next_exec_prefix=
- # Handle --host with a space before the argument.
- elif test x$next_host = xyes; then next_host=
- # Handle --prefix with a space before the argument.
- elif test x$next_prefix = xyes; then prefix=$arg; next_prefix=
- # Handle --srcdir with a space before the argument.
- elif test x$next_srcdir = xyes; then srcdir=$arg; next_srcdir=
- else
- case $arg in
- # For backward compatibility, also recognize exact --exec_prefix.
- -exec-prefix=* | --exec_prefix=* | --exec-prefix=* | --exec-prefi=* | --exec-pref=* | --exec-pre=* | --exec-pr=* | --exec-p=* | --exec-=* | --exec=* | --exe=* | --ex=* | --e=*)
- exec_prefix=`echo $arg | sed 's/[-a-z_]*=//'` ;;
- -exec-prefix | --exec_prefix | --exec-prefix | --exec-prefi | --exec-pref | --exec-pre | --exec-pr | --exec-p | --exec- | --exec | --exe | --ex | --e)
- next_exec_prefix=yes ;;
-
- -gas | --gas | --ga | --g) ;;
-
- -host=* | --host=* | --hos=* | --ho=* | --h=*) ;;
- -host | --host | --hos | --ho | --h)
- next_host=yes ;;
-
- -nfp | --nfp | --nf) ;;
-
- -no-create | --no-create | --no-creat | --no-crea | --no-cre | --no-cr | --no-c | --no- | --no)
- no_create=1 ;;
-
- -prefix=* | --prefix=* | --prefi=* | --pref=* | --pre=* | --pr=* | --p=*)
- prefix=`echo $arg | sed 's/[-a-z_]*=//'` ;;
- -prefix | --prefix | --prefi | --pref | --pre | --pr | --p)
- next_prefix=yes ;;
-
- -srcdir=* | --srcdir=* | --srcdi=* | --srcd=* | --src=* | --sr=* | --s=*)
- srcdir=`echo $arg | sed 's/[-a-z_]*=//'` ;;
- -srcdir | --srcdir | --srcdi | --srcd | --src | --sr | --s)
- next_srcdir=yes ;;
-
- -with-* | --with-*)
- package=`echo $arg|sed 's/-*with-//'`
- # Delete all the valid chars; see if any are left.
- if test -n "`echo $package|sed 's/[-a-zA-Z0-9_]*//g'`"; then
- echo "configure: $package: invalid package name" >&2; exit 1
- fi
- eval "with_`echo $package|sed s/-/_/g`=1" ;;
! -v | -verbose | --verbose | --verbos | --verbo | --verb | --ver | --ve | --v)
! verbose=yes ;;
! *) ;;
esac
! fi
done
! trap 'rm -f conftest* core; exit 1' 1 3 15
! rm -f conftest*
! compile='${CC-cc} $CFLAGS $DEFS conftest.c -o conftest $LIBS >/dev/null 2>&1'
# A filename unique to this package, relative to the directory that
# configure is in, which we can look for to find out if srcdir is correct.
! unique_file=doschk.c
# Find the source files, if location was not specified.
if test -z "$srcdir"; then
! srcdirdefaulted=yes
# Try the directory containing this script, then `..'.
! prog=$0
! confdir=`echo $prog|sed 's%/[^/][^/]*$%%'`
! test "X$confdir" = "X$prog" && confdir=.
! srcdir=$confdir
! if test ! -r $srcdir/$unique_file; then
srcdir=..
fi
fi
! if test ! -r $srcdir/$unique_file; then
! if test x$srcdirdefaulted = xyes; then
! echo "configure: Can not find sources in \`${confdir}' or \`..'." 1>&2
else
! echo "configure: Can not find sources in \`${srcdir}'." 1>&2
fi
- exit 1
fi
! # Preserve a srcdir of `.' to avoid automounter screwups with pwd.
! # But we can't avoid them for `..', to make subdirectories work.
! case $srcdir in
! .|/*|~*) ;;
! *) srcdir=`cd $srcdir; pwd` ;; # Make relative path absolute.
! esac
if test -z "$CC"; then
# Extract the first word of `gcc', so it can be a program name with args.
! set dummy gcc; word=$2
! echo checking for $word
! IFS="${IFS= }"; saveifs="$IFS"; IFS="${IFS}:"
! for dir in $PATH; do
! test -z "$dir" && dir=.
! if test -f $dir/$word; then
CC="gcc"
break
fi
done
! IFS="$saveifs"
fi
test -z "$CC" && CC="cc"
! test -n "$CC" -a -n "$verbose" && echo " setting CC to $CC"
# Find out if we are using GNU C, under whatever name.
cat > conftest.c <<EOF
--- 1,335 ----
#!/bin/sh
# Guess values for system-dependent variables and create Makefiles.
! # Generated automatically using autoconf version 1.9
! # Copyright (C) 1991, 1992, 1993, 1994 Free Software Foundation, Inc.
! # This configure script is free software; you can redistribute it and/or
! # modify it under the terms of the GNU General Public License as published
! # by the Free Software Foundation; either version 2, or (at your option)
# any later version.
! # This script is distributed in the hope that it will be useful, but
! # WITHOUT ANY WARRANTY; without even the implied warranty of
! # MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General
! # Public License for more details.
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
! # Save the original args to write them into config.status later.
! configure_args="$*"
+ # Only options that might do something get documented.
+ ac_usage="Usage: configure [options] [host]
+ Options: [defaults in brackets after descriptions]
+ --build=BUILD configure for building on BUILD [BUILD=HOST]
+ --disable-FEATURE do not include FEATURE (same as --enable-FEATURE=no)
+ --enable-FEATURE[=ARG] include FEATURE [ARG=yes]
+ --exec-prefix=PREFIX install host dependent files in PREFIX [/usr/local]
+ --help print this message
+ --host=HOST configure for HOST [guessed]
+ --prefix=PREFIX install host independent files in PREFIX [/usr/local]
+ --quiet, --silent do not print \`checking for...' messages
+ --srcdir=DIR find the sources in DIR [configure dir or ..]
+ --target=TARGET configure for TARGET [TARGET=HOST]
+ --verbose print results of checks
+ --version print the version of autoconf that created configure
+ --with-PACKAGE[=ARG] use PACKAGE [ARG=yes]
+ --without-PACKAGE do not use PACKAGE (same as --with-PACKAGE=no)
+ --x-includes=DIR X include files are in DIR
+ --x-libraries=DIR X library files are in DIR"
+
+ # Initialize some variables set by options.
+ # The variables have the same names as the options, with
+ # dashes changed to underlines.
+ build=NONE
+ exec_prefix=
+ host=NONE
+ no_create=
+ nonopt=NONE
+ norecursion=
+ prefix=
+ program_prefix=
+ program_suffix=
+ program_transform_name=
+ silent=
+ srcdir=
+ target=NONE
+ verbose=
+ x_includes=
+ x_libraries=
! ac_prev=
! for ac_option
do
! # If the previous option needs an argument, assign it.
! if test -n "$ac_prev"; then
! eval "$ac_prev=\$ac_option"
! ac_prev=
! continue
! fi
!
! # Accept (but ignore some of) the important Cygnus configure
! # options, so we can diagnose typos.
!
! case "$ac_option" in
! -*=*) ac_optarg=`/bin/echo "$ac_option" | sed 's/[-_a-zA-Z0-9]*=//'` ;;
! *) ac_optarg= ;;
! esac
!
! case "$ac_option" in
! -build | --build | --buil | --bui | --bu | --b)
! ac_prev=build ;;
! -build=* | --build=* | --buil=* | --bui=* | --bu=* | --b=*)
! build="$ac_optarg" ;;
!
! -disable-* | --disable-*)
! ac_feature=`/bin/echo $ac_option|sed -e 's/-*disable-//'`
! # Reject names that aren't valid shell variable names.
! if test -n "`/bin/echo $ac_feature| sed 's/[-a-zA-Z0-9_]//g'`"; then
! /bin/echo "configure: $ac_feature: invalid feature name" >&2; exit 1
! fi
! ac_feature=`/bin/echo $ac_feature| sed 's/-/_/g'`
! eval "enable_${ac_feature}=no" ;;
!
! -enable-* | --enable-*)
! ac_feature=`/bin/echo $ac_option|sed -e 's/-*enable-//' -e 's/=.*//'`
! # Reject names that aren't valid shell variable names.
! if test -n "`/bin/echo $ac_feature| sed 's/[-_a-zA-Z0-9]//g'`"; then
! /bin/echo "configure: $ac_feature: invalid feature name" >&2; exit 1
! fi
! ac_feature=`/bin/echo $ac_feature| sed 's/-/_/g'`
! case "$ac_option" in
! *=*) ;;
! *) ac_optarg=yes ;;
esac
! eval "enable_${ac_feature}='$ac_optarg'" ;;
!
! # For backward compatibility, recognize -exec-prefix and --exec_prefix.
! -exec-prefix | --exec_prefix | --exec-prefix | --exec-prefi \
! | --exec-pref | --exec-pre | --exec-pr | --exec-p | --exec- \
! | --exec | --exe | --ex)
! ac_prev=exec_prefix ;;
! -exec-prefix=* | --exec_prefix=* | --exec-prefix=* | --exec-prefi=* \
! | --exec-pref=* | --exec-pre=* | --exec-pr=* | --exec-p=* | --exec-=* \
! | --exec=* | --exe=* | --ex=*)
! exec_prefix="$ac_optarg" ;;
!
! -gas | --gas | --ga | --g)
! with_gas=yes ;; # Obsolete; use --with-gas.
!
! -help | --help | --hel | --he)
! cat << EOF
! $ac_usage
! EOF
! exit 0 ;;
!
! -host | --host | --hos | --ho)
! ac_prev=host ;;
! -host=* | --host=* | --hos=* | --ho=*)
! host="$ac_optarg" ;;
!
! -nfp | --nfp | --nf)
! with_fp=no ;; # Obsolete; use --without-fp.
!
! -no-create | --no-create | --no-creat | --no-crea | --no-cre \
! | --no-cr | --no-c)
! no_create=yes ;;
!
! -norecursion | --norecursion | --norecursio | --norecursi \
! | --norecurs | --norecur | --norecu | --norec | --nore | --nor)
! norecursion=yes ;;
!
! -prefix | --prefix | --prefi | --pref | --pre | --pr | --p)
! ac_prev=prefix ;;
! -prefix=* | --prefix=* | --prefi=* | --pref=* | --pre=* | --pr=* | --p=*)
! prefix="$ac_optarg" ;;
!
! -program-prefix | --program-prefix | --program-prefi | --program-pref \
! | --program-pre | --program-pr | --program-p)
! ac_prev=program_prefix ;;
! -program-prefix=* | --program-prefix=* | --program-prefi=* \
! | --program-pref=* | --program-pre=* | --program-pr=* | --program-p=*)
! program_prefix="$ac_optarg" ;;
!
! -program-suffix | --program-suffix | --program-suffi | --program-suff \
! | --program-suf | --program-su | --program-s)
! ac_prev=program_suffix ;;
! -program-suffix=* | --program-suffix=* | --program-suffi=* \
! | --program-suff=* | --program-suf=* | --program-su=* | --program-s=*)
! program_suffix="$ac_optarg" ;;
!
! -program-transform-name | --program-transform-name \
! | --program-transform-nam | --program-transform-na \
! | --program-transform-n | --program-transform- \
! | --program-transform | --program-transfor \
! | --program-transfo | --program-transf \
! | --program-trans | --program-tran \
! | --progr-tra | --program-tr | --program-t)
! ac_prev=program_transform_name ;;
! -program-transform-name=* | --program-transform-name=* \
! | --program-transform-nam=* | --program-transform-na=* \
! | --program-transform-n=* | --program-transform-=* \
! | --program-transform=* | --program-transfor=* \
! | --program-transfo=* | --program-transf=* \
! | --program-trans=* | --program-tran=* \
! | --progr-tra=* | --program-tr=* | --program-t=*)
! program_transform_name="$ac_optarg" ;;
!
! -q | -quiet | --quiet | --quie | --qui | --qu | --q \
! | -silent | --silent | --silen | --sile | --sil)
! silent=yes ;;
!
! -srcdir | --srcdir | --srcdi | --srcd | --src | --sr)
! ac_prev=srcdir ;;
! -srcdir=* | --srcdir=* | --srcdi=* | --srcd=* | --src=* | --sr=*)
! srcdir="$ac_optarg" ;;
!
! -target | --target | --targe | --targ | --tar | --ta | --t)
! ac_prev=target ;;
! -target=* | --target=* | --targe=* | --targ=* | --tar=* | --ta=* | --t=*)
! target="$ac_optarg" ;;
!
! -v | -verbose | --verbose | --verbos | --verbo | --verb)
! verbose=yes ;;
!
! -version | --version | --versio | --versi | --vers)
! /bin/echo "configure generated by autoconf version 1.9"
! exit 0 ;;
!
! -with-* | --with-*)
! ac_package=`/bin/echo $ac_option|sed -e 's/-*with-//' -e 's/=.*//'`
! # Reject names that aren't valid shell variable names.
! if test -n "`/bin/echo $ac_package| sed 's/[-_a-zA-Z0-9]//g'`"; then
! /bin/echo "configure: $ac_package: invalid package name" >&2; exit 1
! fi
! ac_package=`/bin/echo $ac_package| sed 's/-/_/g'`
! case "$ac_option" in
! *=*) ;;
! *) ac_optarg=yes ;;
! esac
! eval "with_${ac_package}='$ac_optarg'" ;;
!
! -without-* | --without-*)
! ac_package=`/bin/echo $ac_option|sed -e 's/-*without-//'`
! # Reject names that aren't valid shell variable names.
! if test -n "`/bin/echo $ac_package| sed 's/[-a-zA-Z0-9_]//g'`"; then
! /bin/echo "configure: $ac_package: invalid package name" >&2; exit 1
! fi
! ac_package=`/bin/echo $ac_package| sed 's/-/_/g'`
! eval "with_${ac_package}=no" ;;
!
! --x) with_x=yes ;; # Obsolete; use --with-x.
!
! -x-includes | --x-includes | --x-include | --x-includ | --x-inclu \
! | --x-incl | --x-inc | --x-in | --x-i)
! ac_prev=x_includes ;;
! -x-includes=* | --x-includes=* | --x-include=* | --x-includ=* | --x-inclu=* \
! | --x-incl=* | --x-inc=* | --x-in=* | --x-i=*)
! x_includes="$ac_optarg" ;;
!
! -x-libraries | --x-libraries | --x-librarie | --x-librari \
! | --x-librar | --x-libra | --x-libr | --x-lib | --x-li | --x-l)
! ac_prev=x_libraries ;;
! -x-libraries=* | --x-libraries=* | --x-librarie=* | --x-librari=* \
! | --x-librar=* | --x-libra=* | --x-libr=* | --x-lib=* | --x-li=* | --x-l=*)
! x_libraries="$ac_optarg" ;;
!
! -*) /bin/echo "configure: $ac_option: invalid option; use --help to show usage" >&2; exit 1
! ;;
!
! *)
! if test -n "`/bin/echo $ac_option| sed 's/[-a-z0-9.]//g'`"; then
! /bin/echo "configure: warning: $ac_option: invalid host type" >&2
! fi
! if test "x$nonopt" != xNONE; then
! /bin/echo "configure: can only configure for one host and one target at a time" >&2; exit 1
! fi
! nonopt="$ac_option"
! ;;
!
! esac
done
! if test -n "$ac_prev"; then
! /bin/echo "configure: missing argument to --`/bin/echo $ac_prev | sed 's/_/-/g'`" >&2; exit 1
! fi
! trap 'rm -fr conftest* confdefs* core $ac_clean_files; exit 1' 1 2 15
! trap 'rm -fr confdefs* $ac_clean_files' 0
!
! # Save the original args if we used an alternate arg parser.
! ac_configure_temp="${configure_args-$*}"
! # Strip out --no-create and --norecursion so they don't pile up.
! configure_args=
! for ac_arg in $ac_configure_temp; do
! case "$ac_arg" in
! -no-create | --no-create | --no-creat | --no-crea | --no-cre \
! | --no-cr | --no-c) ;;
! -norecursion | --norecursion | --norecursio | --norecursi \
! | --norecurs | --norecur | --norecu | --norec | --nore | --nor) ;;
! *) configure_args="$configure_args $ac_arg" ;;
! esac
! done
!
! # NLS nuisances.
! # These must not be set unconditionally because not all systems understand
! # e.g. LANG=C (notably SCO).
! if test "${LC_ALL+set}" = 'set'; then LC_ALL=C; export LC_ALL; fi
! if test "${LANG+set}" = 'set'; then LANG=C; export LANG; fi
!
! # confdefs.h avoids OS command line length limits that DEFS can exceed.
! rm -rf conftest* confdefs.h
! # AIX cpp loses on an empty file, so make sure it contains at least a newline.
! /bin/echo > confdefs.h
# A filename unique to this package, relative to the directory that
# configure is in, which we can look for to find out if srcdir is correct.
! ac_unique_file=doschk.c
# Find the source files, if location was not specified.
if test -z "$srcdir"; then
! ac_srcdir_defaulted=yes
# Try the directory containing this script, then `..'.
! ac_prog=$0
! ac_confdir=`/bin/echo $ac_prog|sed 's%/[^/][^/]*$%%'`
! test "x$ac_confdir" = "x$ac_prog" && ac_confdir=.
! srcdir=$ac_confdir
! if test ! -r $srcdir/$ac_unique_file; then
srcdir=..
fi
fi
! if test ! -r $srcdir/$ac_unique_file; then
! if test x$ac_srcdir_defaulted = xyes; then
! /bin/echo "configure: can not find sources in ${ac_confdir} or .." >&2; exit 1
else
! /bin/echo "configure: can not find sources in ${srcdir}" >&2; exit 1
fi
fi
! ac_ext=c
! ac_cpp='${CPP} $CFLAGS'
! ac_compile='${CC-cc} $CFLAGS $LDFLAGS conftest.${ac_ext} -o conftest $LIBS >/dev/null 2>&1'
!
if test -z "$CC"; then
# Extract the first word of `gcc', so it can be a program name with args.
! set ac_dummy gcc; ac_word=$2
! test -n "$silent" || /bin/echo "checking for $ac_word"
! IFS="${IFS= }"; ac_save_ifs="$IFS"; IFS="${IFS}:"
! for ac_dir in $PATH; do
! test -z "$ac_dir" && ac_dir=.
! if test -f $ac_dir/$ac_word; then
CC="gcc"
break
fi
done
! IFS="$ac_save_ifs"
fi
test -z "$CC" && CC="cc"
! test -n "$CC" && test -n "$verbose" && /bin/echo " setting CC to $CC"
# Find out if we are using GNU C, under whatever name.
cat > conftest.c <<EOF
***************
*** 147,201 ****
# /usr/sbin/install, which might be in PATH before a BSD-like install,
# or the SunOS /usr/etc/install directory, or the AIX /bin/install,
# or the AFS install, which mishandles nonexistent args, or
! # /usr/ucb/install on SVR4 (which tries to use the nonexistent group
! # `staff'. On most BSDish systems install is in /usr/bin, not /usr/ucb
! # anyway). Sigh.
if test "z${INSTALL}" = "z" ; then
! echo checking for install
! IFS="${IFS= }"; saveifs="$IFS"; IFS="${IFS}:"
! for dir in $PATH; do
! test -z "$dir" && dir=.
! case $dir in
! /etc|/usr/sbin|/usr/etc|/usr/afsws/bin|/usr/ucb) ;;
*)
! if test -f $dir/installbsd; then
! INSTALL="$dir/installbsd -c" # OSF1
! INSTALL_PROGRAM='$(INSTALL)'
! INSTALL_DATA='$(INSTALL) -m 644'
! break
! fi
! if test -f $dir/install; then
! if grep dspmsg $dir/install >/dev/null 2>&1; then
! : # AIX
! else
! INSTALL="$dir/install -c"
! INSTALL_PROGRAM='$(INSTALL)'
! INSTALL_DATA='$(INSTALL) -m 644'
! break
fi
! fi
;;
esac
done
! IFS="$saveifs"
fi
! INSTALL=${INSTALL-cp}
! INSTALL_PROGRAM=${INSTALL_PROGRAM-'$(INSTALL)'}
! INSTALL_DATA=${INSTALL_DATA-'$(INSTALL)'}
if test -n "$prefix"; then
! test -z "$exec_prefix" && exec_prefix='${prefix}'
! prsub="s%^prefix\\([ ]*\\)=\\([ ]*\\).*$%prefix\\1=\\2$prefix%"
fi
if test -n "$exec_prefix"; then
! prsub="$prsub
! s%^exec_prefix\\([ ]*\\)=\\([ ]*\\).*$%\
! exec_prefix\\1=\\2$exec_prefix%"
fi
- DEFS="`echo \"$DEFS\" | sed 's%[&\\\]%\\\&%g'`"
! trap 'rm -f config.status; exit 1' 1 3 15
! echo creating config.status
rm -f config.status
cat > config.status <<EOF
#!/bin/sh
--- 347,436 ----
# /usr/sbin/install, which might be in PATH before a BSD-like install,
# or the SunOS /usr/etc/install directory, or the AIX /bin/install,
# or the AFS install, which mishandles nonexistent args, or
! # /usr/ucb/install on SVR4, which tries to use the nonexistent group
! # `staff', or /sbin/install on IRIX which has incompatible command-line
! # syntax. Sigh.
! #
! # On most BSDish systems install is in /usr/bin, not /usr/ucb
! # anyway.
! # This turns out not to be true, so the mere pathname isn't an indication
! # of whether the program works. What we really need is a set of tests for
! # the install program to see if it actually works in all the required ways.
! #
! # Avoid using ./install, which might have been erroneously created
! # by make from ./install.sh.
if test "z${INSTALL}" = "z" ; then
! test -n "$silent" || /bin/echo "checking for a BSD compatible install"
! IFS="${IFS= }"; ac_save_ifs="$IFS"; IFS="${IFS}:"
! for ac_dir in $PATH; do
! case "$ac_dir" in
! ''|.|/gnu/etc|/sbin|/usr/sbin|/usr/etc|/usr/afsws/bin|/usr/ucb) ;;
*)
! # OSF1 and SCO ODT 3.0 have their own names for install.
! for ac_prog in installbsd scoinst install; do
! if test -f $ac_dir/$ac_prog; then
! if test $ac_prog = install &&
! grep dspmsg $ac_dir/$ac_prog >/dev/null 2>&1; then
! # AIX install. It has an incompatible calling convention.
! # OSF/1 installbsd also uses dspmsg, but is usable.
! :
! else
! INSTALL="$ac_dir/$ac_prog -c"
! INSTALL_PROGRAM='${INSTALL}'
! INSTALL_DATA='${INSTALL} -m 644'
! break 2
! fi
fi
! done
;;
esac
done
! IFS="$ac_save_ifs"
! fi
! if test -z "$INSTALL"; then
! if test -f ${srcdir}/install.sh; then
! # As a last resort, use the slow shell script.
! INSTALL='@top_srcdir@/install.sh -c'
! else
! /bin/echo "configure: warning: ${srcdir}/install.sh not found; using cp" >&2
! INSTALL=cp
! fi
fi
! test -n "$verbose" && /bin/echo " setting INSTALL to $INSTALL"
! # Use test -z because SunOS4 sh mishandles ${INSTALL_PROGRAM-'${INSTALL}'}.
! # It thinks the first close brace ends the variable substitution.
! test -z "$INSTALL_PROGRAM" && INSTALL_PROGRAM='${INSTALL}'
! test -n "$verbose" && /bin/echo " setting INSTALL_PROGRAM to $INSTALL_PROGRAM"
! test -z "$INSTALL_DATA" && INSTALL_DATA='${INSTALL}'
! test -n "$verbose" && /bin/echo " setting INSTALL_DATA to $INSTALL_DATA"
+ # Set default prefixes.
if test -n "$prefix"; then
! test -z "$exec_prefix" && exec_prefix='${prefix}' # Let make expand it.
! ac_prsub="s%^prefix\\([ ]*\\)=\\([ ]*\\).*$%prefix\\1=\\2$prefix%"
fi
if test -n "$exec_prefix"; then
! ac_prsub="$ac_prsub
! s%^exec_prefix\\([ ]*\\)=\\([ ]*\\).*$%exec_prefix\\1=\\2$exec_prefix%"
! fi
! # Any assignment to VPATH causes Sun make to only execute
! # the first set of double-colon rules, so remove it if not needed.
! # If there is a colon in the path, we need to keep it.
! if test "x$srcdir" = x.; then
! ac_vpsub='/^[ ]*VPATH[ ]*=[^:]*$/d'
fi
! # Quote sed substitution magic chars in DEFS.
! cat >conftest.def <<EOF
! $DEFS
! EOF
! ac_escape_ampersand_and_backslash='s%[&\\]%\\&%g'
! DEFS=`sed "$ac_escape_ampersand_and_backslash" <conftest.def`
! rm -f conftest.def
! # Substitute for predefined variables.
!
! trap 'rm -f config.status; exit 1' 1 2 15
! /bin/echo creating config.status
rm -f config.status
cat > config.status <<EOF
#!/bin/sh
***************
*** 204,260 ****
# This directory was configured as follows,
# on host `(hostname || uname -n) 2>/dev/null | sed 1q`:
#
! # $0 $*
! for arg
do
! case "\$arg" in
! -recheck | --recheck | --rechec | --reche | --rech | --rec | --re | --r)
! exec /bin/sh $0 $* ;;
! *) echo "Usage: config.status --recheck" 2>&1; exit 1 ;;
esac
done
! trap 'rm -f Makefile; exit 1' 1 3 15
CC='$CC'
INSTALL='$INSTALL'
INSTALL_PROGRAM='$INSTALL_PROGRAM'
INSTALL_DATA='$INSTALL_DATA'
LIBS='$LIBS'
srcdir='$srcdir'
! DEFS='$DEFS'
prefix='$prefix'
exec_prefix='$exec_prefix'
! prsub='$prsub'
EOF
cat >> config.status <<\EOF
! top_srcdir=$srcdir
! for file in .. Makefile; do if [ "x$file" != "x.." ]; then
! srcdir=$top_srcdir
# Remove last slash and all that follows it. Not all systems have dirname.
! dir=`echo $file|sed 's%/[^/][^/]*$%%'`
! if test "$dir" != "$file"; then
! test "$top_srcdir" != . && srcdir=$top_srcdir/$dir
! test ! -d $dir && mkdir $dir
fi
! echo creating $file
! rm -f $file
! echo "# Generated automatically from `echo $file|sed 's|.*/||'`.in by configure." > $file
sed -e "
! $prsub
s%@CC@%$CC%g
s%@INSTALL@%$INSTALL%g
s%@INSTALL_PROGRAM@%$INSTALL_PROGRAM%g
s%@INSTALL_DATA@%$INSTALL_DATA%g
s%@LIBS@%$LIBS%g
s%@srcdir@%$srcdir%g
s%@DEFS@%$DEFS%
! " $top_srcdir/${file}.in >> $file
fi; done
exit 0
EOF
chmod +x config.status
! test -n "$no_create" || ./config.status
--- 439,530 ----
# This directory was configured as follows,
# on host `(hostname || uname -n) 2>/dev/null | sed 1q`:
#
! # $0 $configure_args
! ac_cs_usage="Usage: config.status [--recheck] [--version] [--help]"
! for ac_option
do
! case "\$ac_option" in
! -recheck | --recheck | --rechec | --reche | --rech | --rec | --re | --r)
! /bin/echo running \${CONFIG_SHELL-/bin/sh} $0 $configure_args --no-create
! exec \${CONFIG_SHELL-/bin/sh} $0 $configure_args --no-create ;;
! -version | --version | --versio | --versi | --vers | --ver | --ve | --v)
! /bin/echo "config.status generated by autoconf version 1.9"
! exit 0 ;;
! -help | --help | --hel | --he | --h)
! /bin/echo "\$ac_cs_usage"; exit 0 ;;
! *) /bin/echo "\$ac_cs_usage"; exit 1 ;;
esac
done
! trap 'rm -f Makefile; exit 1' 1 2 15
CC='$CC'
INSTALL='$INSTALL'
INSTALL_PROGRAM='$INSTALL_PROGRAM'
INSTALL_DATA='$INSTALL_DATA'
LIBS='$LIBS'
srcdir='$srcdir'
! top_srcdir='$top_srcdir'
prefix='$prefix'
exec_prefix='$exec_prefix'
! DEFS='$DEFS'
! ac_prsub='$ac_prsub'
! ac_vpsub='$ac_vpsub'
! extrasub='$extrasub'
EOF
cat >> config.status <<\EOF
! ac_given_srcdir=$srcdir
!
! CONFIG_FILES=${CONFIG_FILES-"Makefile"}
! for ac_file in .. ${CONFIG_FILES}; do if test "x$ac_file" != x..; then
# Remove last slash and all that follows it. Not all systems have dirname.
! ac_dir=`/bin/echo $ac_file|sed 's%/[^/][^/]*$%%'`
! if test "$ac_dir" != "$ac_file"; then
! # The file is in a subdirectory.
! test ! -d "$ac_dir" && mkdir "$ac_dir"
! ac_dir_suffix="/$ac_dir"
! else
! ac_dir_suffix=
fi
!
! # A "../" for each directory in $ac_dir_suffix.
! ac_dots=`/bin/echo $ac_dir_suffix|sed 's%/[^/]*%../%g'`
! case "$ac_given_srcdir" in
! .) srcdir=.; top_srcdir="$ac_dots." ;;
! /*) srcdir="$ac_given_srcdir$ac_dir_suffix"; top_srcdir="$ac_given_srcdir" ;;
! *) # Relative path.
! srcdir="$ac_dots$ac_given_srcdir$ac_dir_suffix"
! top_srcdir="$ac_dots$ac_given_srcdir" ;;
! esac
!
! /bin/echo creating "$ac_file"
! rm -f "$ac_file"
! comment_str="Generated automatically from `/bin/echo $ac_file|sed 's|.*/||'`.in by configure."
! case "$ac_file" in
! *.c | *.h | *.C | *.cc | *.m ) /bin/echo "/* $comment_str */" > "$ac_file" ;;
! * ) /bin/echo "# $comment_str" > "$ac_file" ;;
! esac
sed -e "
! $ac_prsub
! $ac_vpsub
! $extrasub
s%@CC@%$CC%g
s%@INSTALL@%$INSTALL%g
s%@INSTALL_PROGRAM@%$INSTALL_PROGRAM%g
s%@INSTALL_DATA@%$INSTALL_DATA%g
s%@LIBS@%$LIBS%g
s%@srcdir@%$srcdir%g
+ s%@top_srcdir@%$top_srcdir%g
+ s%@prefix@%$prefix%g
+ s%@exec_prefix@%$exec_prefix%g
s%@DEFS@%$DEFS%
! " $ac_given_srcdir/${ac_file}.in >> $ac_file
fi; done
+
exit 0
EOF
chmod +x config.status
! test -n "$no_create" || ${CONFIG_SHELL-/bin/sh} config.status